APT-EXTRACTTEMPLATES(1)

NOM
apt-extracttemplates - Un outil pour extraire d'un paquet Debian les textes de configuration pour DebConf.

SYNOPSIS
apt-extracttemplates [ -hv ] [ -t=répertoire temporaire ] fichier ...

DESCRIPTION

apt-extracttemplates prend un ou plusieurs paquets Debian en argument et renvoie (dans un répertoire temporaire) tous les scripts et guides de configuration associés. Pour chaque paquet traité contenant des scripts et guides de configuration, une ligne est affichée au format suivant :

paquet version guide-de-configuration script-de-configuration

Les scripts et guides de configuration sont écrits dans le répertoire temporaire indiqué par l'option -t ou --tempdir (APT::ExtractTemplates::TempDir) ; les noms de fichier sont de la forme package.template.XXXX ou package.config.XXXX.

OPTIONS

Toutes les options en ligne de commande peuvent être positionnées via le fichier de configuration ; les descriptifs indiquent l'option de configuration à positionner. En ce qui concerne les options booléennes, on peut annuler le fichier de configuration en utilisant quelque chose comme -f-,--no-f, -f=no ou d'autres variantes.

-t

--tempdir
    Répertoire temporaire dans lequel écrire les scripts et guides de configuration pour Debconf. Élément de configuration : APT::ExtractTemplates::TempDir.

-h

--help
    Affiche un mode d'emploi succinct.

-v

--version
    Affiche la version du programme.

-c

--config-file
    Fichier de configuration ; indique quel fichier de configuration utiliser. Le programme lit le fichier de configuration par défaut, puis celui-ci. Voyez apt.conf(5) pour la syntaxe.

-o

--option
    Donne une option de configuration ; cela fixe une option de configuration arbitraire. La syntaxe est : -o Foo::Bar=bar.

VOIR AUSSI

apt.conf(5)

DIAGNOSTICS

apt-extracttemplates retourne zéro si tout se passe bien, le nombre 100 en cas d'erreur.

BOGUES

Voyez la page concernant les bogues de APT <URL:http://bugs.debian.org/src:apt>. Si vous voulez rapporter un bogue, consultez le texte /usr/share/doc/debian/bug-reporting.txt ou utilisez la commande reportbug(1) .

AUTEUR

APT a été écrit par l'équipe APT <apt@packages.debian.org>.

TRADUCTION

Philippe Batailler. <debian-l10n-french@lists.debian.org>. 2004.